<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
//    $mctr++;
    $ctr--;
    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    Echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form '  value='$mctr'></td>";
    Echo "<td><input type='text' name='barcode_$ctr' class='barcode form-control focusFld_$ctr  form' value='' ></td>";
    Echo "<td><input type='text' name='itemname_$ctr' required='true' class='itemname form-control  form' value='' tabindex='-1' readonly></td>";
    Echo "<td><input type='text' name='batch_$ctr' class='batch form-control  form' value=''></td>";
//    Echo "<td><input type='number' name='cartqty_$ctr' class='cartqty form-control text-right form' style='' value='0' ></td>";
    echo "<td>";
    echo "<input type='text' step='any' name='stkqty_$ctr' id='stkqty_$ctr' class='stkqty form-control text-right form' value='0'  style='background-color:lightyellow;color:red' readonly>";
    echo "</td>";
    Echo "<td><input type='text' step='any' name='qty_$ctr' class='qty form-control  text-right form' value='0' ></td>";
    echo "<td>";
    echo "<select class='form-control fetchpart_$ctr unit select2 form' name='unit_$ctr' style='width:100%;' required>";
    echo "<option value=''></option>";
    $ggetunit = mysqli_query($conn, "SELECT * FROM $zroot.unit WHERE `code`!= '' ORDER BY `name`") or die(mysqli_error($conn));
    while ($ffetunit = mysqli_fetch_array($ggetunit)) {
        echo "<option value='$ffetunit[code]'>$ffetunit[name]</option>";
    }
    echo "</select>";
    //    Echo "<td><input type='number' step='any' name='totqty_$ctr' class='totqty form-control  text-right form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='number' step='any' name='rate_$ctr' class='rate form-control text-right  form' value='0'></td>";
    echo "<input type='hidden' name='cost_$ctr' id='cost_$ctr' class='cost form-control form' value='0'>";
    Echo "<td><input type='number' step='any' name='amount_$ctr' id='amount_$ctr' class='amount form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='packing_$ctr' class='packing form-control text-right form' value='0' ></td>";
    Echo "<td><input type='text' name='discperc_$ctr' class='discperc form-control text-right form' value='0'></td>";
    Echo "<td><input type='text' name='discamt_$ctr' class='discamt form-control text-right form' value='0' ></td>";
    Echo "<td><input type='text' name='vatperc_$ctr' class='vatperc form-control text-right  form' value='0' ></td>";
    Echo "<td><input type='text' name='vat_$ctr' class='vat form-control text-right form' value='0' readonly tabindex='-1' ></td>";
    Echo "<td><input type='text' name='total_$ctr' class='total form-control text-right form' value='0' readonly tabindex='-1'></td>";
    Echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 